
var accion = document.editarServicioForm.accion.value;
var sitBaja="";
	
	
	$( document ).ready(function() {
	var accion = document.editarServicioForm.accion.value;		
		if (accion == "NUEVO") {
		    $("#botoneraModificar").hide();       
		    $("#checkboxBaja").hide();
		    $("#botoneraNuevo").show();    
		}  else {
			   $("#botoneraModificar").show();
	 	       $("#checkboxBaja").show();
		       $("#botoneraNuevo").hide();	   
		}
	}
	);

/********************************* GUARDAR NUEVO ****************************************************************/	
	
	// Al pulsar el botón guardar enviamos los campos del formulario al Controller
	$("#bt_guardar").bind("click", confirmarGuardar);
	
	function confirmarGuardar (){
		$.rup_messages("msgConfirm", {
			title: $.rup.i18nParse($.rup.i18n.app,"mensajesServicio.guardar"),			
			message: $.rup.i18nParse($.rup.i18n.app,"accionesRegistros.deseaGuardar"),
			OKFunction: function(){
				guardarNuevaServicio();		
			},
			CANCELFunction : function(){
			}
			});
	}
		
	function guardarNuevaServicio() {	
		var properties={
				url:"../servicios/addNuevaServicio",
				feedback:$("#feedbackEditarServicio"),
				useJsonIfPossible: true,
				dataType:"json",
				 beforeSend : function(data) {
						//Mostrar div de sincronizando
					  $("#dialogoGuardar").rup_dialog(
								{
									type : $.rup.dialog.DIV,
									height : 200,
									width : 500,
									modal : true,
									showLoading : true,
									autoOpen : false,
									title : $.rup.i18n.app.mensajesEdificios.guardando
								});
						$("#dialogoGuardar").rup_dialog("open");
				  },
				 error: function(data) {
					 $("#dialogoGuardar").rup_dialog("close");
					  	$("#dialogoGuardar").rup_dialog("destroy");
					 alert(data.responseText);
					 mensajeError("<p><strong>" +  $.rup.i18n.app.accionesRegistros.errorguardar + "</strong></p>");
				 },
				 success: function(data){
					 $("#dialogoGuardar").rup_dialog("close");
					  	$("#dialogoGuardar").rup_dialog("destroy");
					 mensajeInfo("<p><strong>" +  $.rup.i18n.app.accionesRegistros.guardadook + "</strong></p>"); 
					 
					// alert(data.idservicio);
					 //document.editarServicioForm.idservicio2.value = data.idservicio;
					// alert ( document.editarServicioForm.idservicio2.value);
		        	   document.editarServicioForm.accion.value = "MODIFICAR";
		        	   $("#idservicio2").val (data.idservicio);
		        	   $("#botoneraModificar").show();        	
		        	   $("#checkboxBaja").show();
		   		       $("#botoneraNuevo").hide();   	 
				 },
				 validate: {
					 rules: {
						 "cservicio":{required:true},
						 "eservicio":{required:true}
					 }
				 }
				};
				$("#editarServicioForm").rup_form(properties);				
				$("#editarServicioForm").submit();
	}
	/********************************* FIN GUARDAR NUEVO ****************************************************************/

	/********************************* MODIFICAR  ****************************************************************/	
	// Al pulsar el botón guardar enviamos los campos del formulario al Controller
	$("#bt_modificar").bind("click", confirmarModificar);
	
	function confirmarModificar (){
		//si el cambio ha sido dar de baja el servicio, comprobar que no existan Responsables (USuarios), tecnicos o códigos de parte asociados a dicho servicio
		if ($("#situacionInicial").val()!="1" && $("#baja").attr('checked')){
			  $.ajax({
				  type: "POST",
				  url: "../servicios/permitirBajaServicio",
				  data:  { idServicio:$("#idservicio").val()},
				  success: function(data){
						  if (data==true){
							  // El servicio se puede dar de baja
								$.rup_messages("msgConfirm", {
									title: $.rup.i18nParse($.rup.i18n.app,"mensajesServicio.modificar"),			
									message: $.rup.i18nParse($.rup.i18n.app,"accionesRegistros.deseaModificar"),
									OKFunction: function(){
										modificarServicio ();		
									},
									CANCELFunction : function(){
									}
									});
						  }else{
							  $.rup_messages("msgError", { 
					 			title: $.rup.i18n.app.comun.control,
						 		message: $.rup.i18n.app.mensajesServicios.bajaDenegada
						 	});
						  }
						  },
							 error: function(data){
								 alert( data);
							 },
						  dataType: "json"
						});
		}else{
			$.rup_messages("msgConfirm", {
				title: $.rup.i18nParse($.rup.i18n.app,"mensajesServicio.modificar"),			
				message: $.rup.i18nParse($.rup.i18n.app,"accionesRegistros.deseaModificar"),
				OKFunction: function(){
					modificarServicio ();		
				},
				CANCELFunction : function(){
				}
				});
			
		}
	}
	
	function modificarServicio () {		
		var properties={
				url:"../servicios/modificaServicio",
				feedback:$("#feedbackEditarServicio"),
				useJsonIfPossible: true,
				 beforeSend : function(data) {
						//Mostrar div de sincronizando
					  $("#dialogoGuardar").rup_dialog(
								{
									type : $.rup.dialog.DIV,
									height : 200,
									width : 500,
									modal : true,
									showLoading : true,
									autoOpen : false,
									title : $.rup.i18n.app.mensajesEdificios.guardando
								});
						$("#dialogoGuardar").rup_dialog("open");
				  },
				 error: function(data) {	
					 $("#dialogoGuardar").rup_dialog("close");
					  	$("#dialogoGuardar").rup_dialog("destroy");
					 mensajeError("<p><strong>" +  $.rup.i18n.app.accionesRegistros.errormodificar + "</strong></p>");
				 },
				 success: function(){			
					 $("#dialogoGuardar").rup_dialog("close");
					  	$("#dialogoGuardar").rup_dialog("destroy");
					 mensajeInfo("<p><strong>" +  $.rup.i18n.app.accionesRegistros.modificadook + "</strong></p>");       				        	
				 },
				 validate: {
					 rules: {
						 "cservicio":{required:true},
						 "eservicio":{required:true}
					 }
				 }
				};
				$("#editarServicioForm").rup_form(properties);				
				$("#editarServicioForm").submit();
		
	}
	
	/********************************* FIN MODIFICAR  ****************************************************************/
	
	
	/********************************* BOTON NUEVO  ****************************************************************/
	// al darle a "nuevo" volvemos a la misma pantalla vacía
	$("#bt_nuevo").bind("click", refrescar);
	
	function refrescar (){		
			location.href="../servicios/nuevo";		

	}
	/********************************* FIN BOTON NUEVO  ****************************************************************/
	
	
	/********************************* FEEDBACK MENSAJES OK  ****************************************************************/
	
	function mensajeInfo (texto) {
		 var properties = {
   				type: "ok",
   				fadeSpeed: 600,
   				gotoTop: false,
   				block: false,
   				closeLink: false
   			};
   	//	var texto = "<p><strong>" +  $.rup.i18n.app.feedbackNuevoTipoIncidenciaGuardada.modificadook + "</strong></p>";
   		$("#feedbackEditarServicio").rup_feedback (properties);

   		$("#feedbackEditarServicio").rup_feedback("set", texto);

   		$("#feedbackEditarServicio").rup_feedback("show");
	}
	
	
	/* Error */
	function mensajeError (texto) {
		 var properties = {
 				type: "error",
 				fadeSpeed: 600,
 				gotoTop: false,
 				block: false,
 				closeLink: false
 			};
 	
 		$("#feedbackEditarServicio").rup_feedback (properties);

 		$("#feedbackEditarServicio").rup_feedback("set", texto);

 		$("#feedbackEditarServicio").rup_feedback("show");
	}
	/********************************* FIN FEEDBACK MENSAJES OK  ****************************************************************/

	

	jQuery("#feedbackEditarServicio").rup_feedback({
		  type: "ok",                  
		  closeLink: true,                  
		  delay: 1000,                  
		  fadeSpeed: 500,                  
		  block:true          
		  }); 




